Package org.pushingpixels.flamingo.api.bcb

# Class BreadcrumbPathEvent

java.lang.Object
org.pushingpixels.flamingo.api.bcb.BreadcrumbPathEvent

public class BreadcrumbPathEvent extends Object
Event on the breadcrumb bar path.

## Constructor Summary

Constructors
Constructor
Description
`BreadcrumbPathEvent(Object src, int indexOfFirstChange)`
Creates a new breadcrumb bar path event.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndexOfFirstChange()`
Returns the index of the first path item that has changed.
`Object`
`getSource()`
Returns the source of `this` event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BreadcrumbPathEvent

public BreadcrumbPathEvent(Object src, int indexOfFirstChange)
Creates a new breadcrumb bar path event.

Parameters:
  `src` - Event source.
  `indexOfFirstChange` - The index of the first path item that has changed.

## Method Details

### getIndexOfFirstChange

public int getIndexOfFirstChange()
Returns the index of the first path item that has changed.

Returns:
  The index of the first path item that has changed.

### getSource

public Object getSource()
Returns the source of `this` event.

Returns:
  The source of `this` event.